/*
 * Test_AQM1602.h
 *
 *  Created on: 2024/11/21
 *      Author: egaono-electronics
 */

#ifndef TEST_AQM1602_H_
#define TEST_AQM1602_H_

#include "Dev_Conf.h"

#include def_Header_HAL

#include "H_STM32F4_I2C_1.h"



//----------------------------------------------------------
// LCD AQM1602 の表示試験
//----------------------------------------------------------
// 引数：
// uint8_t *puint8_JobNum : 処理番号が格納される変数のポインタ

// struct sParam_Handle_I2Cx  *pstructParam_Handle_I2Cx :
//              Handle I2C用パラメータの構造体のポインタ


// 戻り値：
//   -1 : 処理中
//    0 : OK
//    1 : NG
//----------------------------------------------------------
int16_t Test_AQM1602(uint8_t *puint8_JobNum,
            struct sParam_Handle_I2Cx  *pstructParam_Handle_I2Cx);


#endif /* TEST_AQM1602_H_ */
