﻿/*
 * H_STM32F4_I2C_1.h
 *
 *  Created on: 2024/11/21
 *      Author: egaono-electronics
 */

#ifndef H_STM32F4_I2C_1_H_
#define H_STM32F4_I2C_1_H_

#include "Dev_Conf.h"

#include def_Header_HAL

#include "H_Common_STM32F4_I2C.h"



//----------------------------------------------------------
// I2C handler declaration : I2C1
//----------------------------------------------------------
extern I2C_HandleTypeDef Handle_I2C1;


//------------------------------------------------------
// Handle I2C用パラメータの構造体の宣言 : I2C1
//------------------------------------------------------
extern struct sParam_Handle_I2Cx  GLB_structParam_Handle_I2C1;


// 送信Buffer : I2C1
extern uint8_t GLB_uint8_aI2C1_TxBuffer[def_I2C1_TxBufferSize];

// 受信Buffer : I2C1
extern uint8_t GLB_uint8_aI2C1_RxBuffer[def_I2C1_RxBufferSize];



#endif /* H_STM32F4_I2C_1_H_ */
